# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.docs
Enum ImportFormat.Target

    java.lang.Object
      java.lang.Enum<ImportFormat.Target>
          com.google.gdata.data.docs.ImportFormat.Target

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ImportFormat.Target>

Enclosing class:
  ImportFormat

    public static enum ImportFormat.Target

extends java.lang.Enum<ImportFormat.Target>

Import target document type.

Enum Constant Summary
`DOCUMENT` Document import format.
`PRESENTATION` Presentation import format.
`SPREADSHEET` Spreadsheet import format.

Method Summary
`static ImportFormat.Target` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ImportFormat.Target[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DOCUMENT

    public static final ImportFormat.Target DOCUMENT

  Document import format.

### PRESENTATION

    public static final ImportFormat.Target PRESENTATION

  Presentation import format.

### SPREADSHEET

    public static final ImportFormat.Target SPREADSHEET

  Spreadsheet import format.

Method Detail

### values

    public static ImportFormat.Target[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ImportFormat.Target c : ImportFormat.Target.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ImportFormat.Target valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null